#
# $Header: /cvsroot/hungry/lesstif/doc/lessdox/clients/Makefile.am,v 1.2 1998/03/13 21:41:31 u27113 Exp $
#

MAINTAINERCLEANFILES=Makefile.in
SUFFIXES=	.1 .3 .5 .html

mandir=	$(exec_prefix)/LessTif/doc/man
man1dir=	$(exec_prefix)/LessTif/doc/man/man1
man3dir=	$(exec_prefix)/LessTif/doc/man/man3
man5dir=	$(exec_prefix)/LessTif/doc/man/man5

man1_DATA=	mwm.1
man3_DATA=
man5_DATA=	mwmrc.5

#
# I'm assuming that all those with CVS access (core team) install
# man2html, and that daily extraction process will build the HTML
# files for people with no CVS access.
# As a consequence, if you don't have man2html you should already
# have the HTML files here; and only need to install them, not to
# build them.
#

htmldir=	$(exec_prefix)/LessTif/doc/html
html_DATA=	mwm.html mwmrc.html xmbind.html

if	HaveMan2html

man1_HTML=	${man1_DATA:.1=.html}
man3_HTML=	${man3_DATA:.3=.html}
man5_HTML=	${man5_DATA:.5=.html}

CLEANFILES +=	$(man1_HTML) $(man3_HTML) $(man5_HTML)

.1.html:
	man2html -f <$(srcdir)/$*.1 >$*.html

.3.html:
	man2html -f <$(srcdir)/$*.3 >$*.html

.5.html:
	man2html -f <$(srcdir)/$*.5 >$*.html

mwmrc.html:	mwmrc.5

mwm.html:	mwm.1

endif
